net.minecraft.scoreboard

## Class ScorePlayerTeam

- java.lang.Object
- - net.minecraft.scoreboard.Team
  - - net.minecraft.scoreboard.ScorePlayerTeam

-     public class ScorePlayerTeam
      extends Team

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScorePlayerTeam(Scoreboard par1Scoreboard, String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `formatPlayerName(Team par0Team, String par1Str)` Returns the player name including the color prefixes and suffixes
    `String` | `func_142053_d(String par1Str)`
    `String` | `func_96661_b()`
    `String` | `func_96669_c()`
    `boolean` | `func_98297_h()`
    `void` | `func_98298_a(int par1)`
    `int` | `func_98299_i()`
    `boolean` | `getAllowFriendlyFire()`
    `String` | `getColorPrefix()` Returns the color prefix for the player's team name
    `String` | `getColorSuffix()` Returns the color suffix for the player's team name
    `Collection` | `getMembershipCollection()`
    `void` | `setAllowFriendlyFire(boolean par1)`
    `void` | `setNamePrefix(String par1Str)`
    `void` | `setNameSuffix(String par1Str)`
    `void` | `setSeeFriendlyInvisiblesEnabled(boolean par1)`
    `void` | `setTeamName(String par1Str)`

    - ### Methods inherited from class net.minecraft.scoreboard.Team

      `isSameTeam`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScorePlayerTeam

          public ScorePlayerTeam(Scoreboard par1Scoreboard,
                         String par2Str)

  - ### Method Detail

    - #### func_96661_b

          public String func_96661_b()

      Specified by:
        `func_96661_b` in class `Team`

    - #### func_96669_c

          public String func_96669_c()

    - #### setTeamName

          public void setTeamName(String par1Str)

    - #### getMembershipCollection

          public Collection getMembershipCollection()

    - #### getColorPrefix

          public String getColorPrefix()

      Returns the color prefix for the player's team name

    - #### setNamePrefix

          public void setNamePrefix(String par1Str)

    - #### getColorSuffix

          public String getColorSuffix()

      Returns the color suffix for the player's team name

    - #### setNameSuffix

          public void setNameSuffix(String par1Str)

    - #### func_142053_d

          public String func_142053_d(String par1Str)

      Specified by:
        `func_142053_d` in class `Team`

    - #### formatPlayerName

          public static String formatPlayerName(Team par0Team,
                                String par1Str)

      Returns the player name including the color prefixes and suffixes

    - #### getAllowFriendlyFire

          public boolean getAllowFriendlyFire()

      Specified by:
        `getAllowFriendlyFire` in class `Team`

    - #### setAllowFriendlyFire

          public void setAllowFriendlyFire(boolean par1)

    - #### func_98297_h

          public boolean func_98297_h()

      Specified by:
        `func_98297_h` in class `Team`

    - #### setSeeFriendlyInvisiblesEnabled

          public void setSeeFriendlyInvisiblesEnabled(boolean par1)

    - #### func_98299_i

          public int func_98299_i()

    - #### func_98298_a

          public void func_98298_a(int par1)